# MutlitenantStack

This is a project to demonstrate multi tenancy usage in beego using postgres and separated databases

The api was scaffolded using:

`bee api multitenantStack -driver=postgres -conn="host=127.0.0.1 port=5435 user=postgres password=postgre dbname=company_template sslmode=disable"`

then `bee run -downdoc=true``

To regenerate docs simply run `bee generate docs`

## TODO

Todo till we can fork this repo

- Not found for endpoints should be Json response
- migrations for company_template
- hardcoded roles

* ~~/register endpoint creates database, company and first admin~~
* checking some roles in all endpoints
* ~~load db connections from config~~
* user delete needs to update system
* company delete needs to exist and update company

## Notes:

- Fixes have been placed into the beego orm for setting the timezone when using NewOrmWithDB() (Already merged)
- Bee needs the dir patch (merge pending)

## Script

- ~~script that runs all migrations (and passes through rollback or others, show states for company, run for single company) (list, connect, migrate)~~

## dependencies

github.com/kennygrant/sanitize
github.com/astaxie/beego
github.com/beego/bee
github.com/dgrijalva/jwt-go
golang.org/x/crypto/bcrypt
