--
-- PostgreSQL database dump
--

-- Dumped from database version 11.0 (Debian 11.0-1.pgdg90+2)
-- Dumped by pg_dump version 11.0 (Homebrew petere/postgresql)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: user_company_map; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.user_company_map (
    id integer NOT NULL,
    email text NOT NULL,
    password_hash text NOT NULL,
    company text NOT NULL,
    company_user_id bigint NOT NULL,
    created timestamp with time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    modified timestamp with time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


--
-- Name: system_users_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.system_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: system_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.system_users_id_seq OWNED BY public.user_company_map.id;


--
-- Name: user_company_map id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_company_map ALTER COLUMN id SET DEFAULT nextval('public.system_users_id_seq'::regclass);


--
-- Data for Name: user_company_map; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.user_company_map (id, email, password_hash, company, company_user_id, created, modified) FROM stdin;
\.


--
-- Name: system_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.system_users_id_seq', 1, false);


--
-- Name: user_company_map system_users_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_company_map
    ADD CONSTRAINT system_users_pkey PRIMARY KEY (id);


--
-- PostgreSQL database dump complete
--

