package test

import (
	_ "multitenantStack/routers"
	"multitenantStack/services/companydb"
	"multitenantStack/services/tokenTools"
	"time"

	"github.com/astaxie/beego"
	"github.com/astaxie/beego/orm"
	_ "github.com/lib/pq"
)

func init() {
	tokenTools.InitTokenToolsService()
	companydb.InitCompanyDBService()
	orm.DefaultTimeLoc = time.UTC

	beego.BConfig.WebConfig.DirectoryIndex = true
	beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	orm.Debug = true
}
